### Enumeration

# Shumate TileDownloaderError

#### Declaration

    error-domain Shumate.TileDownloaderError

#### Description [src]

Error codes in the #SHUMATE_TILE_DOWNLOADER_ERROR domain.

#### Members

`SHUMATE_TILE_DOWNLOADER_ERROR_FAILED`

  An unspecified error occurred during the operation.

  - Value: `0`
  - Available since: 1.0
`SHUMATE_TILE_DOWNLOADER_ERROR_BAD_RESPONSE`

  An unsuccessful HTTP response was received from the server.

  - Value: `1`
  - Available since: 1.0
`SHUMATE_TILE_DOWNLOADER_ERROR_COULD_NOT_CONNECT`

  The server could not be reached.

  - Value: `2`
  - Available since: 1.0
`SHUMATE_TILE_DOWNLOADER_ERROR_MALFORMED_URL`

  The provided URL isn’t valid.

  - Value: `3`
  - Available since: 1.0
`SHUMATE_TILE_DOWNLOADER_ERROR_OFFLINE`

  The tile source has been marked as offline.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### shumate_tile_downloader_error_quark

Gets the `ShumateTileDownloader` error quark.